<?php

if(isset($_POST["profileSubmit"])) {
    if(isset($_FILES['profileImage'])){
        $fileName = $_FILES["profileImage"]["name"];
        $fileTmpName = $_FILES["profileImage"]["tmp_name"];
        $filesize = $_FILES["profileImage"]["size"];
    }else{
        print "Sorry the Request format is not not for uploading images.";
    }

    $target_dir = "assets/images/profile/";
    $date = time();
    $target_file = $target_dir . basename($date . $fileName);
    $uploadOk = 1;
    $imageFileType = strtolower(pathinfo($target_file, PATHINFO_EXTENSION));
    $check = getimagesize($fileTmpName);

    // Check if image file is a actual image or fake image
    if($check !== false) {
        $uploadOk = 1;
    } else {
        echo "File is not an image.";
        $uploadOk = 0;
    }

    // Check file size
    if ($filesize > 1000000) {
        echo "Sorry, your file is too large.";
        $uploadOk = 0;
    }
    // Allow certain file formats
    if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
    && $imageFileType != "gif" ) {
        echo "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";
        $uploadOk = 0;
    }
    // Check if $uploadOk is set to 0 by an error
    if ($uploadOk == 0) {
        echo "Sorry, your file was not uploaded.";
    // if everything is ok, try to upload file
    } else {
        $userId = $_GET['id'];
        $imageSql = "UPDATE users SET avatar = '$target_file' WHERE id = $userId";
        if($conn->query($imageSql)){
            if (move_uploaded_file($fileTmpName, $target_file)) {
                header('Refresh:0');
            } else {
                echo "Sorry, there was an error moving your file.";
            }
        }else{
            // print "Error updating record: " . $conn->error;
            print "Sorry, there was an error uploading your file to the server.";
        }
    }
}

?>

<form action="" method="post" enctype="multipart/form-data">
    <input type="file" name="profileImage">
    <br />
    <button type="submit" name="profileSubmit" class="btn black">Add Image</button>
</form>